/********************************************************************************
 * Copyright (c) 2015, 2023 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 ********************************************************************************/

:host ::ng-deep .attreditor {
  width: 100%;
}
.field-checkbox {
  margin-bottom: 0;
}
.sequence-edit-field {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0.5rem;
}
.sequence-editor-wrapper {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  gap: 0.5rem;
}
.sequency-editor-entry-wrapper {
  display: flex;
  align-items: center;
  gap: 0.5rem;
}
.sequency-editor-new-entry-wrapper {
  display: flex;
  justify-content: flex-start;
}

:host ::ng-deep input.p-inputtext {
  padding: .0 .25rem;
}
:host ::ng-deep .p-inputtext {
  padding: .125rem .25rem;
}
:host ::ng-deep input.p-inputtext:focus,
:host ::ng-deep .p-inputtext:focus,
:host ::ng-deep .p-dropdown.p-focus {
  box-shadow: none;
}

.attribute-editor-wrapper {
  display: grid;
  grid-template-columns: 1fr minmax(1.25rem, auto);
  column-gap: .25rem;
  align-items: center;
}